Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5158)
@@ -131,5 +131,5 @@
 
 ! SR detection threshold
-      real, parameter  ::  S_cld_att = 30. ! New threshold for undefine cloud phase detection	
+      real, parameter  ::  S_cld_att = 30. ! New threshold for undefine cloud phase detection
 
 ! c -------------------------------------------------------
@@ -144,5 +144,5 @@
 ! c -------------------------------------------------------
 
-      do ic = 1, ncol
+      DO ic = 1, ncol
         pnorm_c = pnorm(:,ic,:)
         where ((pnorm_c.lt.xmax) .and. (pmol.lt.xmax) .and. (pmol.gt. 0.0 ))
@@ -152,6 +152,6 @@
         end where
          x3d(:,ic,:) = x3d_c
-!	profSR(:,ic,:) = x3d(:,ic,:) !TIBO
-	profSR(:,:,ic) = x3d(:,ic,:) !TIBO2
+!    profSR(:,ic,:) = x3d(:,ic,:) !TIBO
+    profSR(:,:,ic) = x3d(:,ic,:) !TIBO2
       enddo
 
@@ -188,11 +188,11 @@
       parasolrefl(:,:) = 0.0
 
-      do k = 1, nrefl
-       do ic = 1, ncol
+      DO k = 1, nrefl
+       DO ic = 1, ncol
          parasolrefl(:,k) = parasolrefl(:,k) + refl(:,ic,k)
        enddo
       enddo
 
-      do k = 1, nrefl
+      DO k = 1, nrefl
         parasolrefl(:,k) = parasolrefl(:,k) / float(ncol)
 ! if land=1 -> parasolrefl=undef
@@ -253,5 +253,5 @@
       srbval(5) =  7.0
       srbval(6) = 10.0
-      do i = 7, MIN(10,Nbins)
+      DO i = 7, MIN(10,Nbins)
        srbval(i) = srbval(i-1) + 5.0
       enddo
@@ -268,8 +268,8 @@
 ! c c- Compute CFAD
 ! c -------------------------------------------------------
-      do j = 1, Nlevels
-         do ib = 1, Nbins
-            do k = 1, Ncolumns
-               do i = 1, Npoints
+      DO j = 1, Nlevels
+         DO ib = 1, Nbins
+            DO k = 1, Ncolumns
+               DO i = 1, Npoints
                   if (x(i,k,j) /= undef) then
                      if ((x(i,k,j).gt.srbval_ext(ib-1)).and.(x(i,k,j).le.srbval_ext(ib))) &
@@ -310,5 +310,5 @@
       integer,parameter  ::  Ntemp=40 ! indice of the temperature vector
       integer ip, k, iz, ic, ncol, nlev, i, itemp  ! loop indice
-      real  S_cld_att ! New threshold for undefine cloud phase detection (SR=30)	
+      real  S_cld_att ! New threshold for undefine cloud phase detection (SR=30)
       integer toplvlsat  ! level of the first cloud with SR>30
       real alpha50, beta50, gamma50, delta50, epsilon50, zeta50 ! Polynomial Coef of the phase
@@ -316,5 +316,5 @@
 
 ! Input variables
-      real tmp(Npoints,Nlevels)			! temperature
+      real tmp(Npoints,Nlevels)            ! temperature
       real ATB(Npoints,Ncolumns,Nlevels) ! 3D Attenuated backscatter
       real ATBperp(Npoints,Ncolumns,Nlevels) ! 3D perpendicular attenuated backscatter
@@ -332,7 +332,7 @@
 
 ! Local variables
-      real tmpi(Npoints,Ncolumns,Nlevels)	! temperature of ice cld
-      real tmpl(Npoints,Ncolumns,Nlevels)	! temperature of liquid cld
-      real tmpu(Npoints,Ncolumns,Nlevels)	! temperature of undef cld
+      real tmpi(Npoints,Ncolumns,Nlevels)    ! temperature of ice cld
+      real tmpl(Npoints,Ncolumns,Nlevels)    ! temperature of liquid cld
+      real tmpu(Npoints,Ncolumns,Nlevels)    ! temperature of undef cld
 
       real checktemp, ATBperp_tmp ! temporary variable
@@ -399,5 +399,5 @@
                 -54.,-51.,-48.,-45.,-42.,-39.,-36.,-33.,-30.,-27.,-24.,-21.,-18.,  &
                 -15.,-12.,-9.,-6.,-3.,0.,3.,6.,9.,12.,15.,18.,21.,24.,200. /)
-	
+
 ! convert C to K
       tempmod=tempmod+273.15
@@ -418,5 +418,5 @@
 ! ---------------------------------------------------------------
 
-      do k = 1, Nlevels
+      DO k = 1, Nlevels
 
 ! cloud detection at subgrid-scale:
@@ -454,12 +454,12 @@
       nsublay(:,:,4) = 0.0
 
-      do k = Nlevels, 1, -1
-       do ic = 1, Ncolumns
-        do ip = 1, Npoints
+      DO k = Nlevels, 1, -1
+       DO ic = 1, Ncolumns
+        DO ip = 1, Npoints
 
          if(srok(ip,ic,k).gt.0.)then
            ! Computation of the cloud fraction as a function of the temperature
            ! instead of height, for ice,liquid and all clouds
-           do itemp=1,Ntemp
+           DO itemp=1,Ntemp
              if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
                lidarcldtempind(ip,itemp)=lidarcldtempind(ip,itemp)+1.
@@ -469,5 +469,5 @@
 
          if (cldy(ip,ic,k).eq.1.) then
-           do itemp=1,Ntemp
+           DO itemp=1,Ntemp
              if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
                lidarcldtemp(ip,itemp,1)=lidarcldtemp(ip,itemp,1)+1.
@@ -505,12 +505,12 @@
       cldlay = 0.0
       nsublay = 0.0
-      do k = Nlevels, 1, -1
-       do ic = 1, Ncolumns
-        do ip = 1, Npoints
+      DO k = Nlevels, 1, -1
+       DO ic = 1, Ncolumns
+        DO ip = 1, Npoints
 
           ! Computation of the cloud fraction as a function of the temperature
           ! instead of height, for ice,liquid and all clouds
           if(srok(ip,ic,k).gt.0.)then
-          do itemp=1,Ntemp
+          DO itemp=1,Ntemp
             if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
               lidarcldtempind(ip,itemp)=lidarcldtempind(ip,itemp)+1.
@@ -520,5 +520,5 @@
 
           if(cldy(ip,ic,k).eq.1.)then
-          do itemp=1,Ntemp
+          DO itemp=1,Ntemp
             if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
               lidarcldtemp(ip,itemp,1)=lidarcldtemp(ip,itemp,1)+1.
@@ -562,6 +562,6 @@
       nsublayer = 0.0
 
-      do iz = 1, Ncat
-       do ic = 1, Ncolumns
+      DO iz = 1, Ncat
+       DO ic = 1, Ncolumns
 
           cldlayer(:,iz)=cldlayer(:,iz) + cldlay(:,ic,iz)
@@ -582,13 +582,13 @@
 ! 4.1 - For Cloudy pixels with 8.16km < z < 19.2km
 ! ---------------------------------------------------------------
-do ncol=1,Ncolumns
-do i=1,Npoints
-
-      do nlev=Nlevels,18,-1  ! from 19.2km until 8.16km
+DO ncol=1,Ncolumns
+DO i=1,Npoints
+
+      DO nlev=Nlevels,18,-1  ! from 19.2km until 8.16km
          p1 = pplay(i,nlev)
 
 
 ! Avoid zero values
-	if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
+    if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
 ! Computation of the ATBperp along the phase discrimination line
            ATBperp_tmp = (ATB(i,ncol,nlev)**5)*alpha50 + (ATB(i,ncol,nlev)**4)*beta50 + &
@@ -609,19 +609,19 @@
                lidarcldphase(i,nlev,5)=lidarcldphase(i,nlev,5)+1.   ! keep the information "temperature criterium used"
                                                     ! to classify the phase cloud
-         	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
+                cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
                 if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-        	   cldlayphase(i,ncol,3,2) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,2) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,2) = 1.
+               cldlayphase(i,ncol,3,2) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,2) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,2) = 1.
                 endif
-         	   cldlayphase(i,ncol,4,5) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-        	   cldlayphase(i,ncol,3,5) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,5) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,5) = 1.
+                cldlayphase(i,ncol,4,5) = 1.                         ! tot cloud
+             if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+               cldlayphase(i,ncol,3,5) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,5) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,5) = 1.
                 endif
 
@@ -630,11 +630,11 @@
               lidarcldphase(i,nlev,1)=lidarcldphase(i,nlev,1)+1.
               tmpi(i,ncol,nlev)=tmp(i,nlev)
-         	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-        	   cldlayphase(i,ncol,3,1) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,1) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,1) = 1.
+                cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
+             if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+               cldlayphase(i,ncol,3,1) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,1) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,1) = 1.
                 endif
 
@@ -651,12 +651,12 @@
                lidarcldphase(i,nlev,2)=lidarcldphase(i,nlev,2)+1.
                tmpl(i,ncol,nlev)=tmp(i,nlev)
-         	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-         	   cldlayphase(i,ncol,3,2) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,2) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,2) = 1.
-	 	endif
+                cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
+             if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+                cldlayphase(i,ncol,3,2) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,2) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,2) = 1.
+         endif
 
              else
@@ -666,25 +666,25 @@
                lidarcldphase(i,nlev,4)=lidarcldphase(i,nlev,4)+1.   ! keep the information "temperature criterium used"
                                                     ! to classify the phase cloud
-         	   cldlayphase(i,ncol,4,4) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-         	   cldlayphase(i,ncol,3,4) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,4) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,4) = 1.
-	 	endif
-         	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-        	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-         	   cldlayphase(i,ncol,3,1) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,1) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,1) = 1.
-	 	endif
+                cldlayphase(i,ncol,4,4) = 1.                         ! tot cloud
+             if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+                cldlayphase(i,ncol,3,4) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,4) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,4) = 1.
+         endif
+                cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
+            if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+                cldlayphase(i,ncol,3,1) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,1) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,1) = 1.
+         endif
 
              endif
 
             endif  ! end of discrimination condition 
-	 endif  ! end of cloud condition
+     endif  ! end of cloud condition
       enddo ! end of altitude loop
 
@@ -696,8 +696,8 @@
 
       toplvlsat=0
-      do nlev=17,1,-1  ! from 8.16km until 0km
+      DO nlev=17,1,-1  ! from 8.16km until 0km
          p1 = pplay(i,nlev)
 
-	if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
+    if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
 ! Phase discrimination line : ATBperp = ATB^5*alpha50 + ATB^4*beta50 + ATB^3*gamma50 + ATB^2*delta50 
 !                                  + ATB*epsilon50 + zeta50
@@ -718,20 +718,20 @@
                lidarcldphase(i,nlev,5)=lidarcldphase(i,nlev,5)+1.
 
-         	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
+                cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
                if ( p1.gt.0. .and. p1.lt.(440.*100.)) then              ! high cloud
-        	   cldlayphase(i,ncol,3,2) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,2) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,2) = 1.
+               cldlayphase(i,ncol,3,2) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,2) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,2) = 1.
                 endif
 
-         	   cldlayphase(i,ncol,4,5) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-        	   cldlayphase(i,ncol,3,5) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,5) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,5) = 1.
+                cldlayphase(i,ncol,4,5) = 1.                         ! tot cloud
+             if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+               cldlayphase(i,ncol,3,5) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,5) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,5) = 1.
                 endif
 
@@ -741,11 +741,11 @@
               tmpi(i,ncol,nlev)=tmp(i,nlev)
 
-          	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-        	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-        	   cldlayphase(i,ncol,3,1) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,1) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,1) = 1.
+                 cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
+            if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+               cldlayphase(i,ncol,3,1) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,1) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,1) = 1.
                 endif
 
@@ -763,12 +763,12 @@
                tmpl(i,ncol,nlev)=tmp(i,nlev)
 
-         	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-         	   cldlayphase(i,ncol,3,2) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,2) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,2) = 1.
-	 	endif
+                cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
+             if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+                cldlayphase(i,ncol,3,2) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,2) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,2) = 1.
+         endif
 
              else
@@ -778,34 +778,34 @@
                lidarcldphase(i,nlev,4)=lidarcldphase(i,nlev,4)+1.  ! false liq ==> ice
 
-         	   cldlayphase(i,ncol,4,4) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-         	   cldlayphase(i,ncol,3,4) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,4) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,4) = 1.
-	 	endif
-
-         	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-        	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
-         	   cldlayphase(i,ncol,3,1) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
-         	   cldlayphase(i,ncol,2,1) = 1.
-	 	else                                                    ! low cloud
-         	   cldlayphase(i,ncol,1,1) = 1.
-	 	endif
+                cldlayphase(i,ncol,4,4) = 1.                         ! tot cloud
+             if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+                cldlayphase(i,ncol,3,4) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,4) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,4) = 1.
+         endif
+
+                cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
+            if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+                cldlayphase(i,ncol,3,1) = 1.
+             else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+                cldlayphase(i,ncol,2,1) = 1.
+         else                                                    ! low cloud
+                cldlayphase(i,ncol,1,1) = 1.
+         endif
 
              endif
            endif  ! end of discrimination condition 
 
-       	    toplvlsat=0
+               toplvlsat=0
 
            ! Find the level of the highest cloud with SR>30
-	    if(x(i,ncol,nlev).gt.S_cld_att)then	 ! SR > 30.
-      		toplvlsat=nlev-1
-       		goto 99 
-    	    endif
-
-	endif  ! end of cloud condition
+        if(x(i,ncol,nlev).gt.S_cld_att)then     ! SR > 30.
+              toplvlsat=nlev-1
+               goto 99
+            endif
+
+    endif  ! end of cloud condition
        enddo  ! end of altitude loop
 
@@ -818,21 +818,21 @@
 !____________________________________________________________________________________________________
 
-if(toplvlsat.ne.0)then     	
-      do nlev=toplvlsat,1,-1
+if(toplvlsat.ne.0)then
+      DO nlev=toplvlsat,1,-1
          p1 = pplay(i,nlev)
-	if(cldy(i,ncol,nlev).eq.1.)then
+    if(cldy(i,ncol,nlev).eq.1.)then
            lidarcldphase(i,nlev,3)=lidarcldphase(i,nlev,3)+1.
            tmpu(i,ncol,nlev)=tmp(i,nlev)
 
-         	   cldlayphase(i,ncol,4,3) = 1.                         ! tot cloud
+                cldlayphase(i,ncol,4,3) = 1.                         ! tot cloud
           if ( p1.gt.0. .and. p1.lt.(440.*100.)) then              ! high cloud
              cldlayphase(i,ncol,3,3) = 1.
           else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then  ! mid cloud
              cldlayphase(i,ncol,2,3) = 1.
-	  else                                                     ! low cloud
+      else                                                     ! low cloud
              cldlayphase(i,ncol,1,3) = 1.
-	  endif
-
-        endif	
+      endif
+
+        endif
       enddo
 endif
@@ -876,7 +876,7 @@
 
 ! Compute Phase low mid high cloud fractions
-    do iz = 1, Ncat
-       do i=1,Nphase-3
-       do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO i=1,Nphase-3
+       DO ic = 1, Ncolumns
           cldlayerphase(:,iz,i)=cldlayerphase(:,iz,i) + cldlayphase(:,ic,iz,i)
           cldlayerphasesum(:,iz)=cldlayerphasesum(:,iz)+cldlayphase(:,ic,iz,i)
@@ -885,7 +885,7 @@
     enddo
 
-    do iz = 1, Ncat
-       do i=4,5
-       do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO i=4,5
+       DO ic = 1, Ncolumns
           cldlayerphase(:,iz,i)=cldlayerphase(:,iz,i) + cldlayphase(:,ic,iz,i)          
        enddo
@@ -901,5 +901,5 @@
     ENDWHERE
 
-    do i=1,Nphase-1
+    DO i=1,Nphase-1
       WHERE ( cldlayerphasesum(:,:).gt.0.0 )
          cldlayerphase(:,:,i) = (cldlayerphase(:,:,i)/cldlayerphasesum(:,:)) * cldlayer(:,:) 
@@ -908,11 +908,11 @@
 
 
-    do i=1,Npoints
-       do iz=1,Ncat
+    DO i=1,Npoints
+       DO iz=1,Ncat
           checkcldlayerphase=0.
           checkcldlayerphase2=0.
 
           if (cldlayerphasesum(i,iz).gt.0.0 )then
-             do ic=1,Nphase-3
+             DO ic=1,Nphase-3
                 checkcldlayerphase=checkcldlayerphase+cldlayerphase(i,iz,ic)  
              enddo
@@ -925,5 +925,5 @@
     enddo
 
-    do i=1,Nphase-1
+    DO i=1,Nphase-1
       WHERE ( nsublayer(:,:).eq.0.0 )
          cldlayerphase(:,:,i) = undef
@@ -934,8 +934,8 @@
 
 ! Compute Phase 3D as a function of temperature
-do nlev=1,Nlevels
-do ncol=1,Ncolumns     
-do i=1,Npoints
-do itemp=1,Ntemp
+DO nlev=1,Nlevels
+DO ncol=1,Ncolumns
+DO i=1,Npoints
+DO itemp=1,Ntemp
 if(tmpi(i,ncol,nlev).gt.0.)then
       if( (tmpi(i,ncol,nlev).ge.tempmod(itemp)).and.(tmpi(i,ncol,nlev).lt.tempmod(itemp+1)) )then
@@ -957,12 +957,12 @@
 
 ! Check temperature cloud fraction
-do i=1,Npoints
-   do itemp=1,Ntemp
+DO i=1,Npoints
+   DO itemp=1,Ntemp
 checktemp=lidarcldtemp(i,itemp,2)+lidarcldtemp(i,itemp,3)+lidarcldtemp(i,itemp,4)
 
-	if(checktemp.NE.lidarcldtemp(i,itemp,1))then
-	  print *, i,itemp
-	  print *, lidarcldtemp(i,itemp,1:4)
-	endif
+    if(checktemp.NE.lidarcldtemp(i,itemp,1))then
+      print *, i,itemp
+      print *, lidarcldtemp(i,itemp,1:4)
+    endif
 
    enddo
@@ -979,5 +979,5 @@
 ENDWHERE
 
-do i=1,4
+DO i=1,4
   WHERE(lidarcldtempind(:,:).gt.0.)
      lidarcldtemp(:,:,i) = lidarcldtemp(:,:,i)/lidarcldtempind(:,:)
@@ -1025,5 +1025,5 @@
   
     ! ####################################################################################
-	! 1) Initialize    
+    ! 1) Initialize
     ! ####################################################################################
     cldtype               = 0.0
@@ -1040,5 +1040,5 @@
     ! 2) Cloud detection and Fully attenuated layer detection
     ! ####################################################################################
-    do k=1,Nlevels
+    DO k=1,Nlevels
        ! Cloud detection at subgrid-scale:
        where ( (x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
@@ -1072,7 +1072,7 @@
     ! ####################################################################################
 
-    do k= Nlevels,1,-1
-       do ic = 1, Ncolumns
-          do ip = 1, Npoints
+    DO k= Nlevels,1,-1
+       DO ic = 1, Ncolumns
+          DO ip = 1, Npoints
 
              cldlay(ip,ic,1)   = MAX(cldlay(ip,ic,1),cldyopaq(ip,ic,k)) ! Opaque clouds
@@ -1090,39 +1090,39 @@
 
 ! OPAQ variables
-     do ic = 1, Ncolumns
-        do ip = 1, Npoints
+     DO ic = 1, Ncolumns
+        DO ip = 1, Npoints
 
      ! Declaring non-opaque cloudy profiles as thin cloud profiles
-	   if ( (cldlay(ip,ic,4) .eq. 1.0) .and. (cldlay(ip,ic,1) .eq. 0.0) ) then
-	      cldlay(ip,ic,2)  =  1.0
- 	   endif
+       if ( (cldlay(ip,ic,4) .eq. 1.0) .and. (cldlay(ip,ic,1) .eq. 0.0) ) then
+          cldlay(ip,ic,2)  =  1.0
+        endif
 
      ! Filling in 3D and 2D variables
 
      ! Opaque cloud profiles
-	   if ( cldlay(ip,ic,1) .eq. 1.0 ) then
-	      zopac = 0.0
-	      do k=2,Nlevels
+       if ( cldlay(ip,ic,1) .eq. 1.0 ) then
+          zopac = 0.0
+          DO k=2,Nlevels
      ! Declaring opaque cloud fraction and z_opaque altitude for 3D and 2D variables
-	         if ( (cldy(ip,ic,k) .eq. 1.0) .and. (zopac .eq. 0.0) ) then
-		    lidarcldtype(ip,k-1,3) = lidarcldtype(ip,k-1,3) + 1.0
-		    cldlay(ip,ic,3)        = vgrid_z(k-1) !z_opaque altitude
-		    nsublay(ip,ic,3)       = 1.0
-		    zopac = 1.0
-		 endif
-	         if ( cldy(ip,ic,k) .eq. 1.0 ) then
-		    lidarcldtype(ip,k,1)   = lidarcldtype(ip,k,1) + 1.0
+             if ( (cldy(ip,ic,k) .eq. 1.0) .and. (zopac .eq. 0.0) ) then
+            lidarcldtype(ip,k-1,3) = lidarcldtype(ip,k-1,3) + 1.0
+            cldlay(ip,ic,3)        = vgrid_z(k-1) !z_opaque altitude
+            nsublay(ip,ic,3)       = 1.0
+            zopac = 1.0
+         endif
+             if ( cldy(ip,ic,k) .eq. 1.0 ) then
+            lidarcldtype(ip,k,1)   = lidarcldtype(ip,k,1) + 1.0
                  endif
-	      enddo
-	   endif
+          enddo
+       endif
 
      ! Thin cloud profiles
-	   if ( cldlay(ip,ic,2) .eq. 1.0 ) then
-	      do k=1,Nlevels
+       if ( cldlay(ip,ic,2) .eq. 1.0 ) then
+          DO k=1,Nlevels
      ! Declaring thin cloud fraction for 3D variable
                  if ( cldy(ip,ic,k) .eq. 1.0 ) then
                     lidarcldtype(ip,k,2) = lidarcldtype(ip,k,2) + 1.0
                  endif
-	      enddo
+          enddo
            endif
 
@@ -1146,10 +1146,10 @@
     ! 3D opacity fraction (=4) !Summing z_opaque fraction from TOA(k=Nlevels) to SFC(k=1)
        lidarcldtype(:,Nlevels,4) = lidarcldtype(:,Nlevels,3)
-    do ip = 1, Npoints
-     	do k = Nlevels-1, 1, -1
+    DO ip = 1, Npoints
+         DO k = Nlevels-1, 1, -1
            if ( lidarcldtype(ip,k,3) .ne. undef ) then
-	      lidarcldtype(ip,k,4) = lidarcldtype(ip,k+1,4) + lidarcldtype(ip,k,3)
+          lidarcldtype(ip,k,4) = lidarcldtype(ip,k+1,4) + lidarcldtype(ip,k,3)
            endif
-	enddo
+    enddo
     enddo
     where ( nsubopaq(:,:) .eq. 0.0 )
@@ -1159,6 +1159,6 @@
     ! Layered cloud types (opaque, thin and z_opaque 2D variables)
 
-    do iz = 1, Ntype
-       do ic = 1, Ncolumns
+    DO iz = 1, Ntype
+       DO ic = 1, Ncolumns
           cldtype(:,iz)   = cldtype(:,iz)   + cldlay(:,ic,iz)
           nsublayer(:,iz) = nsublayer(:,iz) + nsublay(:,ic,iz)
